<?php
/**
 * GrantTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Customer Auth
 *
 * Customer authorisation
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CustomerAuthClient\Dto;
use \Ensi\CustomerAuthClient\ObjectSerializer;

/**
 * GrantTypeEnum Class Doc Comment
 *
 * @category Class
 * @description * Grant Types: * &#x60;authorisation_code&#x60; - For authentication by Authorisation Code method * &#x60;password&#x60; - For login/password authentication * &#x60;confirmation_code_by_phone&#x60; - For authentication by phone number code * &#x60;client_credentials&#x60; - For client application authentication * &#x60;refresh_token&#x60; - For updating access token
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class GrantTypeEnum
{
    public const AUTHORIZATION_CODE = 'authorization_code';
    public const PASSWORD = 'password';
    public const CONFIRMATION_CODE_BY_PHONE = 'confirmation_code_by_phone';
    public const CLIENT_CREDENTIALS = 'client_credentials';
    public const REFRESH_TOKEN = 'refresh_token';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::AUTHORIZATION_CODE,
            self::PASSWORD,
            self::CONFIRMATION_CODE_BY_PHONE,
            self::CLIENT_CREDENTIALS,
            self::REFRESH_TOKEN,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::AUTHORIZATION_CODE => '',
            self::PASSWORD => '',
            self::CONFIRMATION_CODE_BY_PHONE => '',
            self::CLIENT_CREDENTIALS => '',
            self::REFRESH_TOKEN => '',
        ];
    }
}


